## org.eclipse.datatools.enablement.sqlite.connection
Class SQLITEJDBCConnection

    java.lang.Object
      org.eclipse.datatools.connectivity.VersionProviderConnection
          org.eclipse.datatools.connectivity.DriverConnectionBase
              org.eclipse.datatools.connectivity.drivers.jdbc.JDBCConnection
                  org.eclipse.datatools.connectivity.db.generic.JDBCConnection
                      org.eclipse.datatools.enablement.sqlite.connection.SQLITEJDBCConnection

All Implemented Interfaces:
  IConnection, IServerVersionProvider

    public class SQLITEJDBCConnection

extends JDBCConnection

Author:
  brianf

Field Summary

Fields inherited from class org.eclipse.datatools.connectivity.drivers.jdbc.JDBCConnection
`TECHNOLOGY_NAME, TECHNOLOGY_ROOT_KEY`

Constructor Summary
`SQLITEJDBCConnection(IConnectionProfile profile, java.lang.Class factoryClass)`

Method Summary

Methods inherited from class org.eclipse.datatools.connectivity.drivers.jdbc.JDBCConnection
`close, createClassLoader, getJarListAsArray, getProviderName, getProviderVersion, getTechnologyName, getTechnologyVersion, open`

Methods inherited from class org.eclipse.datatools.connectivity.DriverConnectionBase
`getConnectException, getRawConnection`

Methods inherited from class org.eclipse.datatools.connectivity.VersionProviderConnection
`getConnectionFactoryClass, getConnectionProfile`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLITEJDBCConnection

    public SQLITEJDBCConnection(IConnectionProfile profile,
                                java.lang.Class factoryClass)

Parameters:
  `profile` -
  `factoryClass` -